OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Class XmlrpcUtil

    java.lang.Object
      org.opennms.netmgt.utils.XmlrpcUtil

public final class XmlrpcUtil
extends java.lang.Object

Author:
  James Zuo

Constructor Summary
`XmlrpcUtil()`

Method Summary
`static void` `createAndSendXmlrpcNotificationEvent(long txNo, java.lang.String sourceUei, java.lang.String message, int status, java.lang.String generator)` This method is responsible for generating an xmlrpcNotification event and sending it to eventd..

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlrpcUtil

    public XmlrpcUtil()

Method Detail

### createAndSendXmlrpcNotificationEvent

    public static void createAndSendXmlrpcNotificationEvent(long txNo,
                                                            java.lang.String sourceUei,
                                                            java.lang.String message,
                                                            int status,
                                                            java.lang.String generator)

  This method is responsible for generating an xmlrpcNotification event and sending it to eventd..

  Parameters:
    `txNo` - the transaction no.
    `sourceUei` - The uei of the source event that this event to report for.
    `message` - The message for external xmlrpc server.
    `status` - flag to indicate the type of this notification.
    `generator` - openNMS daemon where this event is produced.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.